DROP DATABASE IF EXISTS kvtstore;

CREATE DATABASE kvtstore;

use kvtstore;

CREATE TABLE keyvalue (
	`primaryKey` varchar(255),
	`type` varchar(255),
	`data` longtext,
	PRIMARY KEY (`primaryKey`, `type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE indexvalue (
	`indexName` varchar(255),
	`type` varchar(255),
	`value` varchar(255),
	`primaryKey` varchar(255),
	PRIMARY KEY (`primaryKey`, `type`, `indexName`),
	INDEX `nameTypeValueIndex` (`type`, `indexName`, `value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP USER kvtstore;

CREATE USER kvtstore;

GRANT SELECT, INSERT, UPDATE, DELETE on * to kvtstore@'localhost' identified by 'kvtstore';

flush privileges;
